AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI.Command
RecordFileCommand Class
RecordFileCommand Constructor
RecordFileCommand Constructor (String, String, String, Int32)
RecordFileCommand Constructor (String, String, String, Int32, Int32, Boolean, Int32)

| RecordFileCommand Constructor (String, String, String, Int32)

Creates a new RecordFileCommand.

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public RecordFileCommand(
    	string file,
    	string format,
    	string escapeDigits,
    	int timeout
    )

    Public Sub New (
    	file As String,
    	format As String,
    	escapeDigits As String,
    	timeout As Integer
    )

    public:
    RecordFileCommand(
    	String^ file,
    	String^ format,
    	String^ escapeDigits,
    	int timeout
    )

    new :
            file : string *
            format : string *
            escapeDigits : string *
            timeout : int -> RecordFileCommand

#### Parameters

file
  Type: System
  String
  the name of the file to stream, must not include extension.
format
  Type: System
  String
  the format of the file to be recorded, for example "wav".
escapeDigits
  Type: System
  String
  contains the digits that allow the user to end recording.
timeout
  Type: System
  Int32
  the maximum record time in milliseconds, or -1 for no timeout.

See Also

#### Reference

RecordFileCommand Class
RecordFileCommand Overload
AsterNET.FastAGI.Command Namespace